Bug 1212878 - Cannot obtain client connection to the RHQ app server while upgrading JON server
Summary: Cannot obtain client connection to the RHQ app server while upgrading JON server
Status: CLOSED ERRATA
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Installer, Upgrade
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ER01
: JON 3.3.3
Assignee: Libor Zoubek
QA Contact: Filip Brychta
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-17 14:57 UTC by Filip Brychta
Modified: 2015-11-02 00:44 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-07-30 16:41:59 UTC


Attachments (Terms of Use)
upgrade output (24.94 KB, text/plain)
2015-04-17 14:57 UTC, Filip Brychta
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1525 normal SHIPPED_LIVE Moderate: Red Hat JBoss Operations Network 3.3.3 update 2015-07-30 20:41:08 UTC
Red Hat Bugzilla 1063364 None None None Never

Internal Trackers: 1063364

Description Filip Brychta 2015-04-17 14:57:35 UTC
Created attachment 1015627 [details]
upgrade output

Description of problem:
Sometimes during upgrade of JON 3.2.0.GA ERROR saying 'Cannot obtain client connection to the RHQ app server' is visible. Upgrade is successfully finished.

Version-Release number of selected component (if applicable):
JON 3.3.0.GA

How reproducible:
30%

Steps to Reproduce:
1. JON 3.2.0.GA is installed and running
2. ./rhqctl stop
3. unzip JON3.3.0.GA
4. cd jon-server-3.3.0.GA/bin/
5. ./rhqctl upgrade --from-server-dir /home/hudson/jon-server-3.2.0.GA/ 

Actual results:
see attached log

Expected results:
no errors

Additional info:
java -version
java version "1.7.0_65"
OpenJDK Runtime Environment (rhel-2.5.1.2.el6_5-x86_64 u65-b17)
OpenJDK 64-Bit Server VM (build 24.65-b04, mixed mode)

Comment 1 Libor Zoubek 2015-06-23 15:07:47 UTC
This is really just harmless issue. You can see the stacktrace, because your server was not quick enough to start up within 5 seconds.

The installer code checks each 5 seconds (for 30times) if server came up or not. If it did, it starts upgrade/installation. I'll fix it the way so it does not output anything from first (let's say) 10 checks. After 10 checks (50 or more seconds) it makes sense to see stacktrace to determine reason why installer could not talk to server.

Comment 2 Libor Zoubek 2015-06-23 17:52:08 UTC
branch:  master
link:    https://github.com/rhq-project/rhq/commit/91de3c420
time:    2015-06-23 19:51:10 +0200
commit:  91de3c420c15f207a90dd59449a4ecc510f505a5
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1212878 - Cannot obtain client connection to the RHQ app server
         while upgrading JON server
         Forgot to change waiting time back to 5s
         
branch:  master
link:    https://github.com/rhq-project/rhq/commit/3df88bae1
time:    2015-06-23 17:37:30 +0200
commit:  3df88bae1c14f08b75fdd95d985acab35481d212
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1212878 - Cannot obtain client connection to the RHQ app server
         while upgrading JON server

         When checking whether server is up and we're able to talk to it
         we now ignore all output for first 10 checks (out of 30) and
         only care about connection test exit code. For this purpose
         ProcessExecutionOutputStream has been moved from
         rhq-core-native-system to rhq-core-util.

Comment 4 Simeon Pinder 2015-07-10 18:55:42 UTC
Available for test with 3.3.3 ER01 build: 
https://brewweb.devel.redhat.com/buildinfo?buildID=446732
 *Note: jon-server-patch-3.3.0.GA.zip maps to ER01 build of
 jon-server-3.3.0.GA-update-03.zip.

Comment 5 Filip Brychta 2015-07-16 12:18:10 UTC
Verified on
Version :	
3.3.0.GA Update 03
Build Number :	
e4b348a:2f80c8c

Comment 7 errata-xmlrpc 2015-07-30 16:41:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1525.html


Note You need to log in before you can comment on or make changes to this bug.